CAD Forum - tips, tricks, discussion and utilities for AutoCAD, Inventor, Revit and other Autodesk products [www.cadforum.cz]
CZ | EN | DE
Login or
registration
  Visitors: 5775

CAD tip CAD tip # 9812:

   
Question CAD 
 %  platform  category 
Q - question

How to switch a drawing sheet from portrait to landscape orientation?

A - answer With as simple iLogic macro you can switch an existing Inventor drawing sheet from its "portrait" orientation to "landscape" or vice versa:

ThisApplication.ActiveDocument.ActiveSheet.Orientation = ThisApplication.ActiveDocument.ActiveSheet.Orientation - Sign(ThisApplication.ActiveDocument.ActiveSheet.Orientation-10242.5)
ThisApplication.ActiveView.Fit
Inventor
100% *  CAD 
7.5.2014    8000×  
Prices - CAD eShop:
applies to: Inventor ·

See also:
Tip 13911:How to print all sheets at once from Inventor?
Tip 13836:How to reset view numbering in Inventor?
Tip 13611:BOM with multi-line items in Inventor.
Tip 13311:How to bulk transfer iLogic rules and forms from Inventor source documents?
Tip 12697:Opposite angle for angular dimensions in Inventor drawings (iLogic).


Back   All CAD Tips



Have we helped you? If you want to support the CAD Forum web service, consider buying one of our CAD applications, or our custom software development offerings, or donating via PayPal (see above). You may also add a link to your web - like this "fan" link: CAD Forum - tips, utilities, blocks for Autodesk products
CAD:    OS:    Categ: 
Text:  FAQ glossary   



Featuring:
Link your AutoCAD block attributes with Excel tables/sheets. Automatically. Dynamically. Bidirectionally.
Try Excellink 2015 More info


Please use these tips at your own risk.
Arkance Systems is not responsible for possible problems that may occur as a result of using any of these tips.
TOPlist